#ifndef EPUCK_ASEBA_QTOPENGL_USER_FUNCTIONS_H
#define EPUCK_ASEBA_QTOPENGL_USER_FUNCTIONS_H

#include <argos2/simulator/visualizations/qt-opengl/qtopengl_user_functions.h>
#include <argos2/common/utility/logging/argos_log.h>
#include <argos2/simulator/space/entities/epuck_entity.h>
#include <argos2/simulator/space/entities/controllable_entity.h>

using namespace argos;

class CEPuckAsebaQTOpenGLUserFunctions : public CQTOpenGLUserFunctions {

public:

   CEPuckAsebaQTOpenGLUserFunctions();
   virtual ~CEPuckAsebaQTOpenGLUserFunctions() {}
   virtual void Draw(CEPuckEntity& c_entity);

private:

   /* Font used for drawing the robot's state */
   QFont m_pcDrawStateFont;

   /* Font used for drawing the robot's ID */
   QFont m_pcDrawIDFont;

};

#endif
